Bug 399511 - Kdevelop crashed when closing
Summary: Kdevelop crashed when closing
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2018-10-08 11:37 UTC by Adrien Cordonnier
Modified: 2020-09-23 14:42 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.6.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien Cordonnier 2018-10-08 11:37:41 UTC
Application: kdevelop (5.3.40)

Qt Version: 5.11.1
Frameworks Version: 5.51.0
Operating System: Linux 4.15.0-36-generic x86_64
Distribution: KDE neon Developer Edition

-- Information about the crash:
- What I was doing when the application crashed:

I closed the application using the title bar close button in the top right corner.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f57abefddc0 (LWP 24560))]

Thread 16 (Thread 0x7f5725ffb700 (LWP 25036)):
#0  0x00007f57a13509f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557515ab73b4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f57a13509f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557515ab7360, cond=0x557515ab7388) at pthread_cond_wait.c:502
#2  0x00007f57a13509f3 in __pthread_cond_wait (cond=0x557515ab7388, mutex=0x557515ab7360) at pthread_cond_wait.c:655
#3  0x00007f57a8c5591b in QWaitConditionPrivate::wait(unsigned long) (time=18446744073709551615, this=0x557515ab7360) at thread/qwaitcondition_unix.cpp:143
#4  0x00007f57a8c5591b in QWaitCondition::wait(QMutex*, unsigned long) (this=<optimized out>, mutex=0x557515ac1380, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:215
#5  0x00007f579ef4cd5b in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f579ef51f40 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007f579ef4f9fb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x557516ca2d20) at thread/qthread_unix.cpp:367
#18 0x00007f57a134a6db in start_thread (arg=0x7f5725ffb700) at pthread_create.c:463
#19 0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f5726ffd700 (LWP 25034)):
#0  0x00007f57a13509f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557515ab73b4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f57a13509f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557515ab7360, cond=0x557515ab7388) at pthread_cond_wait.c:502
#2  0x00007f57a13509f3 in __pthread_cond_wait (cond=0x557515ab7388, mutex=0x557515ab7360) at pthread_cond_wait.c:655
#3  0x00007f57a8c5591b in QWaitConditionPrivate::wait(unsigned long) (time=18446744073709551615, this=0x557515ab7360) at thread/qwaitcondition_unix.cpp:143
#4  0x00007f57a8c5591b in QWaitCondition::wait(QMutex*, unsigned long) (this=<optimized out>, mutex=0x557515ac1380, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:215
#5  0x00007f579ef4cd5b in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f579ef51f40 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#18 0x00007f579ef4f9fb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#19 0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x7f57180021e0) at thread/qthread_unix.cpp:367
#20 0x00007f57a134a6db in start_thread (arg=0x7f5726ffd700) at pthread_create.c:463
#21 0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f57277fe700 (LWP 25033)):
#0  0x00007f57a13509f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557515ab73b4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f57a13509f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557515ab7360, cond=0x557515ab7388) at pthread_cond_wait.c:502
#2  0x00007f57a13509f3 in __pthread_cond_wait (cond=0x557515ab7388, mutex=0x557515ab7360) at pthread_cond_wait.c:655
#3  0x00007f57a8c5591b in QWaitConditionPrivate::wait(unsigned long) (time=18446744073709551615, this=0x557515ab7360) at thread/qwaitcondition_unix.cpp:143
#4  0x00007f57a8c5591b in QWaitCondition::wait(QMutex*, unsigned long) (this=<optimized out>, mutex=0x557515ac1380, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:215
#5  0x00007f579ef4cd5b in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f579ef51f40 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f579ef4f9fb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x7f57200025e0) at thread/qthread_unix.cpp:367
#16 0x00007f57a134a6db in start_thread (arg=0x7f57277fe700) at pthread_create.c:463
#17 0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f5727fff700 (LWP 25032)):
#0  0x00007f57a13509f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557515ab73b4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f57a13509f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557515ab7360, cond=0x557515ab7388) at pthread_cond_wait.c:502
#2  0x00007f57a13509f3 in __pthread_cond_wait (cond=0x557515ab7388, mutex=0x557515ab7360) at pthread_cond_wait.c:655
#3  0x00007f57a8c5591b in QWaitConditionPrivate::wait(unsigned long) (time=18446744073709551615, this=0x557515ab7360) at thread/qwaitcondition_unix.cpp:143
#4  0x00007f57a8c5591b in QWaitCondition::wait(QMutex*, unsigned long) (this=<optimized out>, mutex=0x557515ac1380, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:215
#5  0x00007f579ef4cd5b in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f579ef51db8 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f579ef4f9fb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x7f572c0025e0) at thread/qthread_unix.cpp:367
#14 0x00007f57a134a6db in start_thread (arg=0x7f5727fff700) at pthread_create.c:463
#15 0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f5734a44700 (LWP 25031)):
#0  0x00007f57a13509f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557515ab73b4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f57a13509f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557515ab7360, cond=0x557515ab7388) at pthread_cond_wait.c:502
#2  0x00007f57a13509f3 in __pthread_cond_wait (cond=0x557515ab7388, mutex=0x557515ab7360) at pthread_cond_wait.c:655
#3  0x00007f57a8c5591b in QWaitConditionPrivate::wait(unsigned long) (time=18446744073709551615, this=0x557515ab7360) at thread/qwaitcondition_unix.cpp:143
#4  0x00007f57a8c5591b in QWaitCondition::wait(QMutex*, unsigned long) (this=<optimized out>, mutex=0x557515ac1380, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:215
#5  0x00007f579ef4cd5b in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f579ef51f40 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f579ef51b92 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f579ef4cc8d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f579ef4f9fb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x557515c9c0f0) at thread/qthread_unix.cpp:367
#12 0x00007f57a134a6db in start_thread (arg=0x7f5734a44700) at pthread_create.c:463
#13 0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f5735a46700 (LWP 24791)):
#0  0x00007f57a853fbf9 in __GI___poll (fds=0x7f5730004fd0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f579f1af439 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f579f1af54c in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f57a8e7aa9b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f5730000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f57a8e1edea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f5735a45d40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#5  0x00007f57a8c49b8a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:525
#6  0x00007f57362063b5 in  () at /usr/lib/x86_64-linux-gnu/qt5/qml/QtQuick/XmlListModel/libqmlxmllistmodelplugin.so
#7  0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x5575173e9a30) at thread/qthread_unix.cpp:367
#8  0x00007f57a134a6db in start_thread (arg=0x7f5735a46700) at pthread_create.c:463
#9  0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f5751360700 (LWP 24587)):
#0  0x00007ffc6a310a30 in clock_gettime ()
#1  0x00007f57a855bea6 in __GI___clock_gettime (clock_id=clock_id@entry=1, tp=tp@entry=0x7f575135fa10) at ../sysdeps/unix/clock_gettime.c:115
#2  0x00007f57a8e7a3a1 in qt_clock_gettime (ts=0x7f575135fa10, clock=<optimized out>) at kernel/qelapsedtimer_unix.cpp:111
#3  0x00007f57a8e7a3a1 in do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at kernel/qelapsedtimer_unix.cpp:166
#4  0x00007f57a8e7a3a1 in qt_gettime() () at kernel/qelapsedtimer_unix.cpp:175
#5  0x00007f57a8e78bd9 in QTimerInfoList::updateCurrentTime() (this=this@entry=0x7f57380048c0) at kernel/qtimerinfo_unix.cpp:91
#6  0x00007f57a8e791b5 in QTimerInfoList::timerWait(timespec&) (this=0x7f57380048c0, tm=...) at kernel/qtimerinfo_unix.cpp:388
#7  0x00007f57a8e7ae2c in timerSourcePrepareHelper (timeout=0x7f575135fac4, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:132
#8  0x00007f57a8e7ae2c in idleTimerSourcePrepare(GSource*, gint*) (source=<optimized out>, timeout=0x7f575135fac4) at kernel/qeventdispatcher_glib.cpp:212
#9  0x00007f579f1ae998 in g_main_context_prepare () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f579f1af36b in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f579f1af54c in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007f57a8e7aa9b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f5738000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#13 0x00007f57a8e1edea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f575135fc90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#14 0x00007f57a8c49b8a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:525
#15 0x00007f57a7352d9f in  () at /usr/lib/x86_64-linux-gnu/libKDevPlatformLanguage.so.54
#16 0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x557515f1d800) at thread/qthread_unix.cpp:367
#17 0x00007f57a134a6db in start_thread (arg=0x7f5751360700) at pthread_create.c:463
#18 0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f5750b5f700 (LWP 24586)):
#0  0x00007f57a853fbf9 in __GI___poll (fds=0x7f5744003be0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f579f1af439 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f579f1af54c in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f57a8e7aa9b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f5744000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f57a8e1edea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f5750b5ed40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#5  0x00007f57a8c49b8a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:525
#6  0x00007f57a20df8b5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x557515de0d50) at thread/qthread_unix.cpp:367
#8  0x00007f57a134a6db in start_thread (arg=0x7f5750b5f700) at pthread_create.c:463
#9  0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f5752412700 (LWP 24581)):
#0  0x00007f57a853fbf9 in __GI___poll (fds=0x7f574c004e10, nfds=1, timeout=9193) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f579f1af439 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f579f1af54c in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f57a8e7aa9b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f574c000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f57a8e1edea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f5752411d60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#5  0x00007f57a8c49b8a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:525
#6  0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x557515d11f60) at thread/qthread_unix.cpp:367
#7  0x00007f57a134a6db in start_thread (arg=0x7f5752412700) at pthread_create.c:463
#8  0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f575450e700 (LWP 24580)):
#0  0x00007f57a13509f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f5757fea110) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f57a13509f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5575155f2e40, cond=0x7f5757fea0e8) at pthread_cond_wait.c:502
#2  0x00007f57a13509f3 in __pthread_cond_wait (cond=0x7f5757fea0e8, mutex=0x5575155f2e40) at pthread_cond_wait.c:655
#3  0x00007f57a88d379c in std::condition_variable::wait(std::unique_lock<std::mutex>&) () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#4  0x00007f57572fcf27 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#5  0x00007f57572fd069 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#6  0x00007f57a88d957f in  () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#7  0x00007f57a134a6db in start_thread (arg=0x7f575450e700) at pthread_create.c:463
#8  0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f575ffff700 (LWP 24573)):
#0  0x00007f57a853fbf9 in __GI___poll (fds=0x7f5758003ce0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f579f1af439 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f579f1af54c in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f57a8e7aa9b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f5758000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f57a8e1edea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f575fffed60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#5  0x00007f57a8c49b8a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:525
#6  0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x7f579ea9b6c8) at thread/qthread_unix.cpp:367
#7  0x00007f57a134a6db in start_thread (arg=0x7f575ffff700) at pthread_create.c:463
#8  0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f57692a4700 (LWP 24572)):
#0  0x00007f57a853b0b4 in __GI___libc_read (fd=15, buf=0x7f57692a3ae0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f579f1f3a00 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f579f1aef27 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f579f1af3e0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f579f1af54c in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f57a8e7aa9b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f5760000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f57a8e1edea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f57692a3cf0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#7  0x00007f57a8c49b8a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:525
#8  0x00007f57a724ba9b in  () at /usr/lib/x86_64-linux-gnu/libKDevPlatformLanguage.so.54
#9  0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x557515c71b80) at thread/qthread_unix.cpp:367
#10 0x00007f57a134a6db in start_thread (arg=0x7f57692a4700) at pthread_create.c:463
#11 0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f577343c700 (LWP 24563)):
#0  0x00007f579f1af3ac in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f579f1af54c in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f57a8e7aa9b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f5764000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#3  0x00007f57a8e1edea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f577343bd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#4  0x00007f57a8c49b8a in QThread::exec() (this=this@entry=0x7f57aac71d60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:525
#5  0x00007f57aa9f9e45 in QDBusConnectionManager::run() (this=0x7f57aac71d60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#6  0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x7f57aac71d60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:367
#7  0x00007f57a134a6db in start_thread (arg=0x7f577343c700) at pthread_create.c:463
#8  0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f57746db700 (LWP 24562)):
#0  0x00007f57a13509f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5575155f2138) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f57a13509f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5575155f20e8, cond=0x5575155f2110) at pthread_cond_wait.c:502
#2  0x00007f57a13509f3 in __pthread_cond_wait (cond=0x5575155f2110, mutex=0x5575155f20e8) at pthread_cond_wait.c:655
#3  0x00007f577998846b in  () at /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#4  0x00007f5779988197 in  () at /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#5  0x00007f57a134a6db in start_thread (arg=0x7f57746db700) at pthread_create.c:463
#6  0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f578128d700 (LWP 24561)):
#0  0x00007f57a853fbf9 in __GI___poll (fds=0x7f578128cc68, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f57941c6747 in  () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f57941c836a in xcb_wait_for_event () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f57835a9129 in QXcbEventReader::run() (this=0x55751560a3f0) at qxcbconnection.cpp:1388
#4  0x00007f57a8c54aab in QThreadPrivate::start(void*) (arg=0x55751560a3f0) at thread/qthread_unix.cpp:367
#5  0x00007f57a134a6db in start_thread (arg=0x7f578128d700) at pthread_create.c:463
#6  0x00007f57a854c88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f57abefddc0 (LWP 24560)):
[KCrash Handler]
#6  0x0000000000000041 in  ()
#7  0x00007f57a9535b4d in KJob::kill(KJob::KillVerbosity) () at /usr/lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#8  0x00007f57ab761d8b in KDevelop::ExecuteCompositeJob::doKill() () at /usr/lib/x86_64-linux-gnu/libKDevPlatformUtil.so.54
#9  0x00007f57a9535b4d in KJob::kill(KJob::KillVerbosity) () at /usr/lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#10 0x00007f57aba6a038 in KDevelop::RunController::stopAllProcesses() () at /usr/lib/x86_64-linux-gnu/libKDevPlatformShell.so.54
#11 0x00007f57aba6b6eb in KDevelop::RunController::cleanup() () at /usr/lib/x86_64-linux-gnu/libKDevPlatformShell.so.54
#12 0x00007f57aba2b57a in KDevelop::Core::cleanup() () at /usr/lib/x86_64-linux-gnu/libKDevPlatformShell.so.54
#13 0x00007f57aba2b928 in KDevelop::Core::shutdown() () at /usr/lib/x86_64-linux-gnu/libKDevPlatformShell.so.54
#14 0x00007f57aba0a20d in KDevelop::MainWindow::~MainWindow() () at /usr/lib/x86_64-linux-gnu/libKDevPlatformShell.so.54
#15 0x00007f57aba0a269 in KDevelop::MainWindow::~MainWindow() () at /usr/lib/x86_64-linux-gnu/libKDevPlatformShell.so.54
#16 0x00007f57a8e50660 in QObject::event(QEvent*) (this=this@entry=0x5575157a7240, e=e@entry=0x5575165d0840) at kernel/qobject.cpp:1242
#17 0x00007f57aa329213 in QWidget::event(QEvent*) (this=this@entry=0x5575157a7240, event=event@entry=0x5575165d0840) at kernel/qwidget.cpp:9347
#18 0x00007f57aa4308d0 in QMainWindow::event(QEvent*) (this=0x5575157a7240, event=0x5575165d0840) at widgets/qmainwindow.cpp:1348
#19 0x00007f57a4d65c77 in KMainWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#20 0x00007f57a4daab05 in KXmlGuiWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#21 0x00007f57aa2e9e8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x5575155e4bc0, receiver=receiver@entry=0x5575157a7240, e=e@entry=0x5575165d0840) at kernel/qapplication.cpp:3727
#22 0x00007f57aa2f145f in QApplication::notify(QObject*, QEvent*) (this=0x7ffc6a279b00, receiver=0x5575157a7240, e=0x5575165d0840) at kernel/qapplication.cpp:3486
#23 0x00007f57a8e20ab8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x5575157a7240, event=event@entry=0x5575165d0840) at kernel/qcoreapplication.cpp:1048
#24 0x00007f57a8e235fd in QCoreApplication::sendEvent(QObject*, QEvent*) (event=0x5575165d0840, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#25 0x00007f57a8e235fd in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x5575155df650) at kernel/qcoreapplication.cpp:1745
#26 0x00007f57a8e23bb8 in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1599
#27 0x00007f57a8e7b453 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x557515648f20) at kernel/qeventdispatcher_glib.cpp:276
#28 0x00007f579f1af287 in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007f579f1af4c0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007f579f1af54c in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007f57a8e7aa7f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x557515649b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#32 0x00007f5783633ed1 in QPAEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x557515649b60, flags=...) at qeventdispatcher_glib.cpp:69
#33 0x00007f57a8e1edea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffc6a279970, flags=..., flags@entry=...) at kernel/qeventloop.cpp:214
#34 0x00007f57a8e27fa0 in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1336
#35 0x0000557514224190 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./app/main.cpp:849

Reported using DrKonqi
Comment 1 Bug Janitor Service 2020-09-22 12:19:52 UTC
A possibly relevant merge request was started @ https://invent.kde.org/kdevelop/kdevelop/-/merge_requests/167
Comment 2 Igor Kushnir 2020-09-22 12:24:34 UTC
This crash can be reproduced reliably with the following steps:
1. Execute-Launch an application from KDevelop.
2. Repeat the 1st step with the same application while the previous instance is still running.
3. In the "Job Already Running" dialog that appears after the 2nd step click the Cancel button.
4. (optional) Exit the still running first application instance.
5. Exit KDevelop.
Comment 3 Igor Kushnir 2020-09-23 14:42:45 UTC
Git commit 147add2ed8b3eac24b6bbd1af818f4685ab2aced by Igor Kushnir.
Committed on 22/09/2020 at 11:55.
Pushed by igorkushnir into branch '5.6'.

Don't crash after Cancel in Job Already Running dialog

When a user Execute-Launches an application a second time while the
previously launched instance of this application is still running, the
"Job Already Running" dialog appears with 3 buttons. If a user clicks
the Cancel button, a NativeAppJob kills itself Quietly. This
NativeAppJob belongs to an ExecuteCompositeJob, which is not notified
when a subjob is killed Quietly. So the ExecuteCompositeJob keeps
waiting for it to finish. When this waiting ExecuteCompositeJob is
killed (e.g. via "Stop All" button or on KDevelop exit), it attempts to
kill the subjob it believes is still running, but which in fact is long
since destroyed. This usually causes a segmentation fault.

Aleix Pol fixed a similar crash when the "Kill All Instances" button in
the "Job Already Running" dialog is clicked in
8430d3058f92725b4e6b7d85d8d68550ce12ee79.
Related: bug 416874
FIXED-IN: 5.6.1

M  +1    -1    plugins/execute/nativeappjob.cpp

https://invent.kde.org/kdevelop/kdevelop/commit/147add2ed8b3eac24b6bbd1af818f4685ab2aced